{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_wget"
                }
            ],
            "steps": [
                {
                    "run": "#gunzip.cwl",
                    "in": [
                        {
                            "source": "#main/step_wget/out_wget",
                            "id": "#main/step_gunzip/in_gunzip"
                        }
                    ],
                    "out": [
                        "#main/step_gunzip/out_gunzip"
                    ],
                    "id": "#main/step_gunzip"
                },
                {
                    "run": "#wget.cwl",
                    "in": [
                        {
                            "source": "#main/in_wget",
                            "id": "#main/step_wget/in_wget"
                        }
                    ],
                    "out": [
                        "#main/step_wget/out_wget"
                    ],
                    "id": "#main/step_wget"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step_gunzip/out_gunzip",
                    "id": "#main/out_workflow"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.in_gunzip)",
                            "writable": true
                        }
                    ]
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "valueFrom": "$(self.basename)",
                        "prefix": "-d"
                    },
                    "id": "#gunzip.cwl/in_gunzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#gunzip.cwl/out_gunzip"
                }
            ],
            "id": "#gunzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget.cwl/in_wget"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#wget.cwl/out_wget"
                }
            ],
            "id": "#wget.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
